## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           qalculate-qt
Summary:        A multi-purpose desktop calculator for GNU/Linux
Version:        4.6.1
Release:        %autorelease

# The entire source is GPL-2.0-or-later, except:
#   - data/io.github.Qalculate.qalculate-qt.metainfo.xml is CC0-1.0, which is
#     allowed for content only
License:        GPL-2.0-or-later AND CC0-1.0
URL:            https://qalculate.github.io/
Source0:        https://github.com/Qalculate/qalculate-qt/releases/download/v%{version}/qalculate-qt-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

%global app_id io.github.Qalculate.qalculate-qt

BuildRequires:  gcc-c++

BuildRequires:  make
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-linguist

BuildRequires:  pkgconfig(libqalculate) >= %{version}
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(mpfr)

BuildRequires:  desktop-file-utils
# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
BuildRequires:  libappstream-glib
# Matches what gnome-software and others use:
BuildRequires:  appstream

# For %%{_datadir}/icons/hicolor and its subdirectories:
Requires:       hicolor-icon-theme

# Upstream renamed/rewrote qalculate-kde as qalculate-qt. This package replaces
# qalculate-kde, and qalculate-kde is retired, beginning with F37. For F36 and
# F35, qalculate-qt co-exists with qalculate-kde, and the two packages are
# parallel-installable.
Provides:       qalculate-kde = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      qalculate-kde < 0.9.7.10-34

%description
Qalculate! is a multi-purpose cross-platform desktop calculator. It is simple
to use but provides power and versatility normally reserved for complicated
math packages, as well as useful tools for everyday needs (such as currency
conversion and percent calculation). Features include a large library of
customizable functions, unit calculations and conversion, symbolic calculations
(including integrals and equations), arbitrary precision, uncertainty
propagation, interval arithmetic, plotting, and a user-friendly interface.

This package provides a Qt graphical interface for Qalculate! 


%prep
%autosetup


%build
%set_build_flags
%qmake_qt6 \
    PREFIX='%{_prefix}' \
    DESKTOP_DIR='%{_datadir}/applications' \
    DESKTOP_ICONS_DIR='%{_datadir}/icons' \
    APPDATA_DIR='%{_metainfodir}' \
    MAN_DIR='%{_mandir}'
%make_build


%install
%make_install INSTALL_ROOT='%{buildroot}'

%find_lang qalculate-qt --with-qt


%check
desktop-file-validate '%{buildroot}%{_datadir}/applications/%{app_id}.desktop'
# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
appstream-util validate-relax --nonet \
    '%{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml'
# Matches what gnome-software and others use:
appstreamcli validate --nonet \
    '%{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml'


%files -f qalculate-qt.lang
%license COPYING
%doc AUTHORS
%doc README

%{_bindir}/qalculate-qt
%{_mandir}/man1/qalculate-qt.1*

%{_datadir}/icons/hicolor/*/*/qalculate*

%{_datadir}/applications/%{app_id}.desktop
%{_metainfodir}/%{app_id}.metainfo.xml

%dir %{_datadir}/qalculate-qt
# See qalculate-qt.lang for the files in this directory:
%dir %{_datadir}/qalculate-qt/translations


%changelog
* Wed Apr 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> 4.6.1-1
- Update to 4.6.1 (close RHBZ#2187947)

* Mon Mar 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> 4.6.0-1
- Update to 4.6.0 (close RHBZ#2175723)

* Fri Jan 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> 4.5.1-1
- Update to 4.5.1 (close RHBZ#2155259)

* Thu Dec 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> 4.5.0-1
- Update to 4.5.0 (close RHBZ#2155259)

* Thu Dec 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> 4.4.0-2
- Leaf package: remove i686 support

* Tue Oct 18 2022 Benjamin A. Beasley <code@musicinmybrain.net> 4.4.0-1
- Update to 4.4.0 (close RHBZ#2135709)

* Tue Aug 23 2022 Benjamin A. Beasley <code@musicinmybrain.net> 4.3.0-1
- Update to 4.3.0 (close RHBZ#2120616)

* Tue Aug 23 2022 Benjamin A. Beasley <code@musicinmybrain.net> 4.2.0-3
- Update License to SPDX

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> 4.2.0-1
- Update to 4.2.0 (close RHBZ#2090493)

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> 4.1.1-2
- Provide an upgrade path for qalculate-kde in F37+

* Fri Apr 15 2022 Benjamin A. Beasley <code@musicinmybrain.net> 4.1.1-1
- Initial package (close RHBZ#2073772)
